org.gradle.tooling.model.eclipse

## Interface HierarchicalEclipseProject

- All Superinterfaces:
    Element, HierarchicalElement, Model
  All Known Subinterfaces:
    EclipseProject

      public interface HierarchicalEclipseProject
      extends HierarchicalElement

  Represents the basic information about an Eclipse project.
  Since:
    1.0-milestone-3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DomainObjectSet<? extends HierarchicalEclipseProject>` | `getChildren()` Returns the child elements, or the empty set if there are no child elements.
    `DomainObjectSet<? extends EclipseLinkedResource>` | `getLinkedResources()` Returns the linked resources for this project.
    `HierarchicalEclipseProject` | `getParent()` Returns the parent of this element, or `null` if there is no parent.
    `DomainObjectSet<? extends EclipseProjectDependency>` | `getProjectDependencies()` Returns the project dependencies for this project.
    `File` | `getProjectDirectory()` Returns the project directory for this project.
    `DomainObjectSet<? extends EclipseSourceDirectory>` | `getSourceDirectories()` Returns the source directories for this project.

    - ### Methods inherited from interface org.gradle.tooling.model.Element

      `getDescription, getName`

- - ### Method Detail

    - #### getParent

          HierarchicalEclipseProject getParent()

      Returns the parent of this element, or `null` if there is no parent.
      Specified by:
        `getParent` in interface `HierarchicalElement`
      Returns:
        The parent of this element, or `null` if there is no parent.

    - #### getChildren

          DomainObjectSet<? extends HierarchicalEclipseProject> getChildren()

      Returns the child elements, or the empty set if there are no child elements.
      Specified by:
        `getChildren` in interface `HierarchicalElement`
      Returns:
        The child elements, or the empty set if there are no child elements.

    - #### getProjectDependencies

          DomainObjectSet<? extends EclipseProjectDependency> getProjectDependencies()

      Returns the project dependencies for this project.
      Returns:
        The project dependencies. Returns an empty set if the project has no project dependencies.
      Since:
        1.0-milestone-3

    - #### getSourceDirectories

          DomainObjectSet<? extends EclipseSourceDirectory> getSourceDirectories()

      Returns the source directories for this project.
      Returns:
        The source directories. Returns an empty set if the project has no source directories.
      Since:
        1.0-milestone-3

    - #### getLinkedResources

          DomainObjectSet<? extends EclipseLinkedResource> getLinkedResources()

      Returns the linked resources for this project.
      Returns:
        The linked resources.
      Since:
        1.0-milestone-4

    - #### getProjectDirectory

          File getProjectDirectory()

      Returns the project directory for this project.
      Returns:
        The project directory.
      Since:
        1.0-milestone-9